Skip to main content
POST
/
orgs
/
{orgId}
/
shipments
/
{shipmentId}
/
parcels
/
{parcelId}
/
split
Split a parcel into a new shipment
curl --request POST \
  --url https://api.zippendo.com/orgs/{orgId}/shipments/{shipmentId}/parcels/{parcelId}/split \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderLineIds": [
    "<string>"
  ],
  "carrierId": "<string>",
  "productId": "<string>",
  "services": [
    "<string>"
  ],
  "additionalParameters": {},
  "reference": "<string>"
}
'
{
  "originalShipment": {
    "id": "<string>",
    "reference": "<string>",
    "senderAddressId": "<string>",
    "parties": [
      {
        "type": "sender",
        "name": "<string>",
        "address1": "<string>",
        "postalCode": "<string>",
        "city": "<string>",
        "countryCode": "<string>",
        "attributes": [],
        "attention": "<string>",
        "address2": "<string>",
        "email": "jsmith@example.com",
        "phone": "<string>"
      }
    ],
    "type": "outbound",
    "carrierSettings": {
      "carrierId": "<string>",
      "productId": "<string>",
      "services": [
        "<string>"
      ],
      "additionalParameters": {}
    },
    "parcels": [
      {
        "weight": 1,
        "weightUnit": "kg",
        "dimensions": {
          "length": 1,
          "width": 1,
          "height": 1
        },
        "orderLines": [
          {
            "sku": "<string>",
            "quantity": 4503599627370496,
            "id": "<string>",
            "description": "<string>",
            "unitPrice": 1,
            "currency": "<string>",
            "vatPercent": 1,
            "location": "<string>",
            "countryOfOrigin": "<string>",
            "tarrifNumber": "<string>"
          }
        ],
        "id": "<string>"
      }
    ],
    "termOfTrade": "DAP",
    "status": "draft",
    "orgId": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "servicePointId": "<string>",
    "pickupDetails": {
      "date": "<string>",
      "from": "<string>",
      "to": "<string>",
      "instruction": "<string>"
    },
    "documents": [
      {
        "id": "<string>",
        "shipmentId": "<string>",
        "documentType": "label",
        "format": "pdf",
        "content": "<string>",
        "size": "A4",
        "createdAt": "<string>",
        "updatedAt": "<string>"
      }
    ],
    "tracking": {
      "url": "<string>",
      "number": "<string>"
    },
    "orderId": "<string>",
    "shippingRuleId": "<string>",
    "shippingRule": {
      "id": "<string>",
      "name": "<string>",
      "carrierId": "<string>",
      "productId": "<string>",
      "services": [
        "<string>"
      ],
      "senderAddressId": "<string>",
      "returnShippingRuleId": "<string>",
      "autoCreateReturnShipment": true
    }
  },
  "newShipment": {
    "id": "<string>",
    "reference": "<string>",
    "senderAddressId": "<string>",
    "parties": [
      {
        "type": "sender",
        "name": "<string>",
        "address1": "<string>",
        "postalCode": "<string>",
        "city": "<string>",
        "countryCode": "<string>",
        "attributes": [],
        "attention": "<string>",
        "address2": "<string>",
        "email": "jsmith@example.com",
        "phone": "<string>"
      }
    ],
    "type": "outbound",
    "carrierSettings": {
      "carrierId": "<string>",
      "productId": "<string>",
      "services": [
        "<string>"
      ],
      "additionalParameters": {}
    },
    "parcels": [
      {
        "weight": 1,
        "weightUnit": "kg",
        "dimensions": {
          "length": 1,
          "width": 1,
          "height": 1
        },
        "orderLines": [
          {
            "sku": "<string>",
            "quantity": 4503599627370496,
            "id": "<string>",
            "description": "<string>",
            "unitPrice": 1,
            "currency": "<string>",
            "vatPercent": 1,
            "location": "<string>",
            "countryOfOrigin": "<string>",
            "tarrifNumber": "<string>"
          }
        ],
        "id": "<string>"
      }
    ],
    "termOfTrade": "DAP",
    "status": "draft",
    "orgId": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "servicePointId": "<string>",
    "pickupDetails": {
      "date": "<string>",
      "from": "<string>",
      "to": "<string>",
      "instruction": "<string>"
    },
    "documents": [
      {
        "id": "<string>",
        "shipmentId": "<string>",
        "documentType": "label",
        "format": "pdf",
        "content": "<string>",
        "size": "A4",
        "createdAt": "<string>",
        "updatedAt": "<string>"
      }
    ],
    "tracking": {
      "url": "<string>",
      "number": "<string>"
    },
    "orderId": "<string>",
    "shippingRuleId": "<string>",
    "shippingRule": {
      "id": "<string>",
      "name": "<string>",
      "carrierId": "<string>",
      "productId": "<string>",
      "services": [
        "<string>"
      ],
      "senderAddressId": "<string>",
      "returnShippingRuleId": "<string>",
      "autoCreateReturnShipment": true
    }
  }
}

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Path Parameters

orgId
string
required

Organization ID

shipmentId
string
required

Shipment ID

parcelId
string
required

Parcel ID

Body

application/json
orderLineIds
string[]
carrierId
string
productId
string
services
string[]
additionalParameters
object
reference
string

Response

Default Response

originalShipment
object
required
newShipment
object
required